WHCSRL 技术网

python3.10安装matplotlib(3.4.3)卡死/报错_hxm

**

python3.10安装matplotlib(3.4.3)卡死/报错

**
解决办法(不唯一):python降版本,安装3.9
背景:2021/11/1,win10家庭版

matplotlib:稳定版3.4.3
最新版:3.5.0

python: 最新版、稳定版:3.10

理念:装新不装旧 在这里插入图片描述matplotlib发行版本
在这里插入图片描述
python发行版本

装了python3.10,CMD通过pip安装matplotlib

pip install matploylib

结果显示安装的版本是matploylib 3.4.3,然后最后一步。。。。。。。。卡死了,换台机器(python3.10)pip一下,,,,,,,卡一分钟然后报错。。。。。
在这里插入图片描述
Runningsetup.py install for matplotlib … error 要么卡死,要么报错。。。。。

然后百度到有人同样卡死,降了python版本就好了。于是区查了下matplotlib的文档,matplotlib 3.4.3仅支持python 3.9。。。。吐了呀。。。。

附带如何查看matplotlib 支持python版本,这个官方网址:
https://pypi.org/project/matplotlib/ 目前我只找到了matplotlib 3.4.3的说明
在这里插入图片描述
不支持python 3.10
于是安装了python3.9,在安装matplotlib 3.4.3(不知为何安装不了3.5,求大神赐教)

于是。。。。完美安装。。。。
在这里插入图片描述

完结

撒花

推荐阅读